<?php

// gestion des erreurs
ini_set("error_reporting", E_ALL & ~ E_WARNING & ~E_DEPRECATED & ~E_NOTICE);
ini_set("display_errors", "off");
// entête UTF-8
header("Content-Type: text/plain; charset=utf-8");

// on ouvre une session
session_start();
// on initialise ou modifie un objet Personne
if (isset($_SESSION['personne'])) {
  $personne = $_SESSION['personne'];
  // on incrémente l'âge
  $personne->setAge($personne->getAge() + 1);
} else {
  // on définit la personne
  $_SESSION['personne'] = new Personne("paul", "langévin", 10);
}
// affichage au client
print "personne=".$_SESSION['personne']."\n";
// fin
exit;

// ----------------------------------------------------------------
class Personne {

// attributs de la classe
  private $prénom;
  private $nom;
  private $âge;

// getters and setters
  public function getPrénom() {
    return $this->prénom;
  }

  public function getNom() {
    return $this->nom;
  }

  public function getAge() {
    return $this->âge;
  }

  public function setPrénom($prénom) {
    $this->prénom = $prénom;
  }

  public function setNom($nom) {
    $this->nom = $nom;
  }

  public function setAge($age) {
    $this->âge = $age;
  }

// constructeur
  function __construct($prénom, $nom, $âge) {
    // on passe par les set
    $this->setPrénom($prénom);
    $this->setNom($nom);
    $this->setAge($âge);
  }

// méthode toString
  function __toString() {
    return "[$this->prénom,$this->nom,$this->âge]";
  }

}
