<?php

// données
$HOTE = "localhost";
$PORT = 80;
$urlServeur = "/exemples-web/web_05.php";
// tests
$cookie = "";
for ($i = 0; $i < 5; $i++) {
  list($erreur, $cookie, $N1, $N2, $N3) = connecte($HOTE, $PORT, $urlServeur, $cookie);
  print "----------------------------\n";
  print "client(erreur,cookie,N1,N2,N3)=[$erreur,$cookie,$N1,$N2,$N3]\n";
  print "----------------------------\n";
}//if
// fin
exit;

function connecte($HOTE, $PORT, $urlServeur, $cookie) {
  // connecte le client à ($HOTE,$PORT,$urlServeur)
  // envoie le cookie $cookie si celui-ci est non vide
  // affiche ttes les lignes reçues en réponse
  // ouverture d'une connexion sur le port 80 de $HOTE
  $connexion = fsockopen($HOTE, $PORT);
  // erreur ?
  if (!$connexion)
    return array("erreur lors de la connexion au serveur ($HOTE, $PORT)");
  // on se connecte sur $urlserveur
  // les entêtes (headers) du protocole HTTP doivent se terminer par une ligne vide
  // GET
  fputs($connexion, "GET $urlServeur HTTP/1.1\n");
  // Host
  fputs($connexion, "Host: localhost\n");
  // Connection
  fputs($connexion, "Connection: close\n");
  // on envoie le cookie s'il est non vide
  if ($cookie) {
    fputs($connexion, "Cookie: $cookie\n");
  }//if
  // envoi ligne vide
  fputs($connexion, "\n");
  // on affiche la réponse du serveur web
  // et on prend soin de récupérer l'éventuel cookie et les valeurs des Ni
  $N = "";
  while ($ligne = fgets($connexion, 1000)) {
    print "$ligne";
    // cookie - seulement lors de la 1ère réponse
    if (!$cookie) {
      if (preg_match("/^Set-Cookie: (.*?)\s*$/", $ligne, $champs)) {
        $cookie = $champs[1];
      }
    }
    // valeur de N1
    if (preg_match("/^N1=(.*?)\s*$/", $ligne, $champs))
      $N1 = $champs[1];
    // valeur de N2
    if (preg_match("/^N2=(.*?)\s*$/", $ligne, $champs))
      $N2 = $champs[1];
    // valeur de N3
    if (preg_match("/^N3=(.*?)\s*$/", $ligne, $champs))
      $N3 = $champs[1];
  }//while
  // on ferme la connexion
  fclose($connexion);
  // retour
  return array("", $cookie, $N1, $N2, $N3);
}
