<?php

// données
$HOTE = "localhost";
$PORT = 80;
$urlServeur = "/exemples-web/web_07.php";
// tests
$cookie = "";
for ($i = 0; $i < 5; $i++) {
  connecte($HOTE, $PORT, $urlServeur, $cookie);
}//if
// fin
exit;

function connecte($HOTE, $PORT, $urlServeur, &$cookie) {
  // connecte le client à ($HOTE,$PORT,$urlServeur)
  // envoie le cookie $cookie si celui-ci est non vide
  // affiche ttes les lignes reçues en réponse
  // le cookie est passé par référence pour être partagé entre
  // le programme appelé et le programme appelant
  // ouverture d'une connexion sur le port $PORT de $HOTE
  $connexion = fsockopen($HOTE, $PORT);
  // erreur ?
  if (!$connexion)
    return array("erreur lors de la connexion au serveur ($HOTE, $PORT)");
  // les entêtes (headers) du protocole HTTP doivent se terminer par une ligne vide
  // GET
  fputs($connexion, "GET $urlServeur HTTP/1.1\n");
  // Host
  fputs($connexion, "Host: localhost\n");
  // Connection
  fputs($connexion, "Connection: close\n");
  // on envoie le cookie s'il est non vide
  if ($cookie) {
    fputs($connexion, "Cookie: $cookie\n");
  }
  // envoi ligne vide
  fputs($connexion, "\n");
  // on affiche la réponse du serveur web
  // et on prend soin de récupérer l'éventuel cookie
  while ($ligne = fgets($connexion, 1000)) {
    print "$ligne";
    // cookie - seulement lors de la 1ère réponse
    if (!$cookie) {
      if (preg_match("/^Set-Cookie: (.*?)\s*$/", $ligne, $champs)) {
        $cookie = $champs[1];
      }
    }
  }
  // on ferme la connexion
  fclose($connexion);
  // retour
  return "";
}
